# Gimp.is_canonical_identifier

    function is_canonical_identifier(identifier: String): Boolean {
        // Gjs wrapper for gimp_is_canonical_identifier()
    }

Checks if identifier is canonical and non-null.

Canonical identifiers are e.g. expected by the PDB for procedure and parameter names. Every character of the input string must be either '-', 'a-z', 'A-Z' or '0-9'.

Since 3.0

identifier

  The identifier string to check.

Returns

  true if identifier is canonical, false otherwise.